Skip to main content
GET
List Product Profiles

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Query Parameters

fields
enum<string>[]

Select fields of the ProductProfile object. See the selecting fields page for more information. Specify fields of the ProductProfile object to include in the response.

Available options:
all,
name,
code,
conditions,
conditions_readable,
matched_count,
classification,
created_at,
updated_at
filter
string[]

Using the filtering syntax, you may filter the results using the following fields:

  • id
  • code
  • name
sort
string

The default sort is ascending by id. Available fields are:

  • id
  • name
  • code
  • matched_count
  • updated_at

Cursor paging supports only id or -id sorting.

count
integer

If specified as 1, the meta.count property of the response will be present and populated with the total count of items matching the query before any paging is applied. This is not included by default to improve performance in some edge cases and is not required to perform paging using the next property of the response. See paging parameters for more information.

Required range: 0 <= x <= 1
cursor_end
integer

A cursor for use in pagination which defines the last id of the next page of results, non-inclusive. See paging parameters for more information on paging.

cursor_start
integer

A cursor for use in pagination which defines the starting id of the next page of results. See paging parameters for more information on paging.

limit
integer
default:100

Maximum number of Product Profiles to return.

Required range: 1 <= x <= 250

Response

A cursor-paginated collection of Product Profiles.

collection
ProductProfile · object[]
has_more
boolean

True if the collection has more items on the next page. Use the "next" link to retrieve the next page of results.

next
string | null

The resource path for the next page of results if any are expected.

previous
string | null

The resource path for the previous page of results if any are expected.

meta
object

Additional metadata pertaining to the response.